kwave-17.08.0

Introduction to KWave

The KWave package contains a KF5 based Sound Editor application.

This package is known to build and work properly using an LFS-8.1 platform.

Package Information

KWave Dependencies

Required

AudioFile-0.3.6, fftw-3.3.6-pl2, and KDE Frameworks-5.37.0

Recommended

Optional

Doxygen-1.8.13

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/kwave

Installation of KWave

Install KWave by running the following commands:

mkdir build &&
cd    build &&

cmake -DCMAKE_INSTALL_PREFIX=$KF5_PREFIX \
      -DCMAKE_BUILD_TYPE=Release         \
      -DBUILD_TESTING=OFF                \
      -Wno-dev .. &&
make

This package does not come with a test suite.

Now, as the root user:

make install

Contents

Installed Programs: kwave
Installed Libraries: libkwave.so, libkwavegui.so, and 29 plugins
Installed Directories: $KF5_PREFIX/lib/plugins/kwave and $KF5_PREFIX/share/doc/HTML/en/kwave

Short Descriptions

kwave

is a sound editor built on the KDE Frameworks 5.

Last updated on 2017-08-26 23:34:40 -0500